CVE-2004-2054
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:05:39
NMCO    

[原文]CRLF injection vulnerability in PhpBB 2.0.4 and 2.0.9 allows remote attackers to perform HTTP Response Splitting attacks to modify expected HTML content from the server via (1) the mode parameter to privmsg.php or (2) the redirect parameter to login.php.


[CNNVD]phpBB HTTP应答分割攻击及跨站脚本执行漏洞(CNNVD-200412-916)

        
        phpBB是一款由PHP编写的WEB论坛应用程序,支持多种数据库系统,可使用在多种Unix和Linux操作系统下。
        phpBB的多个脚本存在HTTP应答分割攻击或者跨站脚本攻击,远程攻击者可以利用这个漏洞进行WEB缓冲毒药,劫持也7面,或者敏感信息等攻击。
        如下两个脚本存在HTTP应答分割攻击:
        - /phpBB2/privmsg.php ('mode' 参数)
        - /phpBB2/login.php ('redirect' 参数)
        这些漏洞允许攻击者执行各种页面劫持,敏感信息泄露等攻击。
        '/phpBB2/search.php'脚本对'search_author'参数数据缺少充分过滤,提交恶意脚本代码,当其他用户解析时可导致基于COOKIE的敏感信息泄露。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:phpbb_group:phpbb:2.0.4
cpe:/a:phpbb_group:phpbb:2.0.5
cpe:/a:phpbb_group:phpbb:2.0.2
cpe:/a:phpbb_group:phpbb:2.0.3
cpe:/a:phpbb_group:phpbb:2.0.0
cpe:/a:phpbb_group:phpbb:2.0.1
cpe:/a:phpbb_group:phpbb:2.0_rc1
cpe:/a:phpbb_group:phpbb:2.0_rc2
cpe:/a:phpbb_group:phpbb:2.0.6d
cpe:/a:phpbb_group:phpbb:2.0_rc3
cpe:/a:phpbb_group:phpbb:2.0.6c
cpe:/a:phpbb_group:phpbb:2.0_rc4
cpe:/a:phpbb_group:phpbb:2.0.7a
cpe:/a:phpbb_group:phpbb:2.0.8a
cpe:/a:phpbb_group:phpbb:2.0_beta1
cpe:/a:phpbb_group:phpbb:2.0.8
cpe:/a:phpbb_group:phpbb:2.0.9
cpe:/a:phpbb_group:phpbb:2.0.6
cpe:/a:phpbb_group:phpbb:2.0.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2054
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2054
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-916
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109034476122723&w=2
(UNKNOWN)  BUGTRAQ  20040720 PhpBB HTTP Response Splitting & Cross Site Scripting vulnerabilities
http://www.securityfocus.com/bid/10753
(UNKNOWN)  BID  10753
http://xforce.iss.net/xforce/xfdb/16759
(UNKNOWN)  XF  phpbb-search-response-splitting(16759)

- 漏洞信息

phpBB HTTP应答分割攻击及跨站脚本执行漏洞
中危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        phpBB是一款由PHP编写的WEB论坛应用程序,支持多种数据库系统,可使用在多种Unix和Linux操作系统下。
        phpBB的多个脚本存在HTTP应答分割攻击或者跨站脚本攻击,远程攻击者可以利用这个漏洞进行WEB缓冲毒药,劫持也7面,或者敏感信息等攻击。
        如下两个脚本存在HTTP应答分割攻击:
        - /phpBB2/privmsg.php ('mode' 参数)
        - /phpBB2/login.php ('redirect' 参数)
        这些漏洞允许攻击者执行各种页面劫持,敏感信息泄露等攻击。
        '/phpBB2/search.php'脚本对'search_author'参数数据缺少充分过滤,提交恶意脚本代码,当其他用户解析时可导致基于COOKIE的敏感信息泄露。
        

- 公告与补丁

        厂商补丁:
        phpBB Group
        -----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.phpbb.com/

- 漏洞信息

59231
PhpBB privmsg.php mode Parameter HTTP Response Splitting
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2004-07-20 Unknow
2004-07-20 Unknow

- 解决方案

Upgrade to version 2.0.10 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站